Package org.apache.coyote

## Class AbstractProtocol.AsyncTimeout

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AsyncTimeout

All Implemented Interfaces:
  `java.lang.Runnable`

Enclosing class:
  AbstractProtocol<S>

    protected class AbstractProtocol.AsyncTimeout
    extends java.lang.Object
    implements java.lang.Runnable

Async timeout thread

### Constructor Summary

Constructors
`protected` `AsyncTimeout()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()` The background thread that checks async requests and fires the timeout if there has been no activity.
`protected void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncTimeout

    protected AsyncTimeout()

### Method Detail

#### run

    public void run()

The background thread that checks async requests and fires the timeout if there has been no activity.

Specified by:
  `run` in interface `java.lang.Runnable`

#### stop

    protected void stop()